/**
 * @desc 增加/编辑盘点
 */
import { defaultSuccess, defaultError, http } from '@/plugins/axios';
import type { AxiosResponse } from 'axios';
export default async function (
  /** 请求体 */
  requestBody: material.Stocktaking,

  success: (data: material.Stocktaking) => void = defaultSuccess,
  fail: (error: { code: string; error?: string }) => void = defaultError,
): Promise<void> {
  return http({
    method: 'put',
    url: `/stocktaking`,
    data: requestBody,
  })
    .then((data: AxiosResponse<material.Stocktaking, unknown>) => {
      success(data.data);
    })
    .catch((error: { code: string; error?: string }) => fail(error));
}
